"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidateDirective = void 0;
const name = 'validate';
const definition = `
  directive @${name}(
    type: ValidationType!
    value: String!
    errorMessage: String
  ) repeatable on FIELD_DEFINITION

  enum ValidationType {
    gt
    lt
    gte
    lte
    minLength
    maxLength
    startsWith
    endsWith
    matches
  }
`;
const defaults = {};
exports.ValidateDirective = {
    name,
    definition,
    defaults,
};
//# sourceMappingURL=validate.js.map