/**
 * Wrapper around Error for serialization for usage metrics
 */
export declare class SerializableError {
    name: string;
    message: string;
    details?: string;
    trace?: Trace[];
    private filePathRegex;
    private stackTraceRegex;
    private arnRegex;
    private stackRegex;
    /**
     * constructor for SerializableError
     */
    constructor(error: Error);
    private extractStackTrace;
    private anonymizePaths;
    private processPaths;
    private removeARN;
    private removeStackIdentifier;
    private sanitize;
    private isURLFilePath;
}
type Trace = {
    methodName: string;
    file: string;
    lineNumber: string;
    columnNumber: string;
};
export {};
//# sourceMappingURL=serializable_error.d.ts.map